org.wildfly.swarm.config.webservices

## Class EndpointConfig.EndpointConfigResources

- java.lang.Object
- - org.wildfly.swarm.config.webservices.EndpointConfig.EndpointConfigResources

- Enclosing class:
    EndpointConfig<T extends EndpointConfig<T>>

      public static class EndpointConfig.EndpointConfigResources
      extends Object

  Child mutators for EndpointConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointConfigResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PostHandlerChain` | `postHandlerChain(String key)`
    `List<PostHandlerChain>` | `postHandlerChains()` Get the list of PostHandlerChain resources
    `PreHandlerChain` | `preHandlerChain(String key)`
    `List<PreHandlerChain>` | `preHandlerChains()` Get the list of PreHandlerChain resources
    `List<Property>` | `properties()` Get the list of Property resources
    `Property` | `property(String key)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointConfigResources

          public EndpointConfigResources()

  - ### Method Detail

    - #### postHandlerChains

          public List<PostHandlerChain> postHandlerChains()

      Get the list of PostHandlerChain resources
      Returns:
        the list of resources

    - #### postHandlerChain

          public PostHandlerChain postHandlerChain(String key)

    - #### preHandlerChains

          public List<PreHandlerChain> preHandlerChains()

      Get the list of PreHandlerChain resources
      Returns:
        the list of resources

    - #### preHandlerChain

          public PreHandlerChain preHandlerChain(String key)

    - #### properties

          public List<Property> properties()

      Get the list of Property resources
      Returns:
        the list of resources

    - #### property

          public Property property(String key)

Copyright © 2018 JBoss by Red Hat. All rights reserved.